Method: organizations.environments.apis.revisions.deployments.undeploy

Undeploys an API proxy revision from an environment.

For a request path organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments, two permissions are required:

  • apigee.deployments.delete on the resource organizations/{org}/environments/{env}
  • apigee.proxyrevisions.undeploy on the resource organizations/{org}/apis/{api}/revisions/{rev}

HTTP request

DELETE https://apigee.googleapis.com/v1/{name=organizations/*/environments/*/apis/*/revisions/*}/deployments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the API proxy revision deployment in the following format: organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}

If the API proxy resource has the space attribute set, IAM permissions are checked differently . To learn more, read the Apigee Spaces Overview.

Query parameters

Parameters
sequencedRollout

boolean

Flag that specifies whether to enable sequenced rollout.

If set to true, the environment group routing rules corresponding to this deployment will be removed before removing the deployment from the runtime. This is likely to be a rare use case; it is only needed when the intended effect of undeploying this proxy is to cause the traffic it currently handles to be rerouted to some other existing proxy in the environment group.

The [deployments.generateUndeployChangeReport API][DeploymentService.GenerateUndeployChangeReport] may be used to examine routing changes before issuing the undeployment request, and its response will indicate if a sequenced rollout is recommended for the undeployment.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform